---
# Install dnf daily drivers
- name: Ensure daily-driver (development, work, gaming) installed
  dnf:
    name: 
    - remmina
    - freerdp
    - chromium
    - steam
    - geary
    - make
    - seahorse # gnome keyring manager
    - gimp
    - libreoffice
    state: present
  become: yes
# Install snap-based daily-drivers
- name: Ensure snap installed
  dnf:
    name: snapd
    state: present
  become: yes
- name: Ensure snapd service running
  ansible.builtin.systemd:
    name: snapd.socket
    state: started
    enabled: yes
  become: yes
- name: Link /var/lib/snapd/snap /snap
  ansible.builtin.file:
    src: /var/lib/snapd/snap
    dest: /snap
    owner: root
    group: root
    state: link
  become: yes
- name: Install snap packages
  community.general.snap:
    name: 
    - snap-store
    - spotify
    - discord
    state: present
  become: yes
  retries: 6
  delay: 10
